Sapphire Plug-ins for After Effects and Compatible Products

GenArts is pleased to announce the immediate availability of Sapphire Plug-ins version 2 for After Effects and compatible products including Adobe Premiere Pro, Apple Final Cut Pro, Autodesk Combustion, and Eyeon Fusion. The new version features over 30 new effects, plus many new parameters and improvements to existing effects in the package. In addition, version 2 includes support for the latest versions of all After Effects and compatible host applications including Adobe CS4 and the "Smart FX" API, plus support for Windows Vista and Mac OS X Leopard.
Price USD 0
License Free to try
File Size 20.39 MB
Version 2.07
Operating System Mac OS X 10.4 PPC, Mac OS X 10.5 PPC, Macintosh, Mac OS X 10.3.9, Mac OS X 10.4 Intel, Mac OS X 10.5 Intel
System Requirements For a complete list of supported host platforms, please visit: http://www.genarts.com/sapphire-ae-support.html#host-support